lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "challenge/version"

Gem::Specification.new do |spec|
  spec.name          = "challenge"
  spec.version       = Challenge::VERSION
  spec.authors       = ["Shanmugavel Arunachalam"]
  spec.email         = ["shanmugavel.arunachalam@gmail.com"]

  spec.summary       = %q{Ruby gem to discover economical and distributed distributer partners using input.csv, capacities.csv and partners.csv.}
  spec.description   = %q{A fun ruby gem to discover economical and distributed distributer partners.}
  spec.homepage      = "https://github.com/shanmugavela/challenge"
  spec.license       = "MIT"

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = spec.homepage
  spec.metadata["changelog_uri"] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "csv", "~> 3.1.2"
end
